# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "generic/ubuntu2110"
  config.vm.synced_folder '.', '/vagrant', disabled: true
  config.vm.provider "libvirt" do |hv|
    hv.cpus = "1"
    hv.memory = "1024"
  end
  config.vm.define "pdns" do |pdns|
    pdns.vm.network "forwarded_port", guest: 443, host: 8443
    pdns.vm.network :private_network, ip: "192.168.3.10"
    pdns.vm.hostname = "pdns"
    pdns.vm.provision "ansible" do |a|
      a.verbose = "v"
      a.playbook = "deploy_powerdns.yml"
      a.raw_arguments  = "--ask-vault-pass"
    end
  end
end
